انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید


 خبرها، اتفاقات و تصاویر مربوط به مربوط به جشن انتشار را با هشتگ ufest1804 در شبکه‌های اجتماعی دنبال کنید

نویسنده موضوع: مشکلات ناشی از بروز رسانی{ حل شد }  (دفعات بازدید: 366 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین amooali

  • Full Member
  • *
  • ارسال: 235
  • جنسیت : پسر
سلام و عرض ادب
من امروز سیستمم را آپدیت و آپگرید و اتو ریمو کردم و بعدش ری استارت ... الان وقتی اوبونتو بالا میاد و رمز را که زدم وارد اوبونتو نمیشه ... چندین بار رمز را زدم اما رمز را قبول میکنه ولی وارد نمیشه ... چه کار کنم؟
 
« آخرین ویرایش: 16 دی 1397، 12:57 ب‌ظ توسط amooali »
خواستن برخاستن است.
ubuntu 18.04 lts

آفلاین y.musavi

  • Full Member
  • *
  • ارسال: 161
  • جنسیت : پسر
  • فقط سیستم عامل گنو.
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #1 : 16 دی 1397، 12:57 ق‌ظ »
سلام.

احتمالا مشکلی در مخازن رخ داده، که این بنوعی باعث شده  autoremove، مشکل ایجاد کنه.
قبل از اینکه وارد کاربریت بشی؛ کلیدهای alt+ctrl+f1 یا بجای "f2 ، f4 ، f3، "f1 و.. تا وارد محیط tty بشی.
بعد که وارد شدی از tty وارد کاربریت بشو ، یعنی نام کاربریت رو وارد کن و بعد اینتر بزن و رمز کاربریت رو وارد کن ؛و بعد این دستورات رو بزن:
اگر مخازنی غیر از مخازن توزیعت نصب داشتی برو اینجا و اونا رو از داخلشون پاک کن:
sudo nano /etc/apt/sources.list,وهمچنین:
sudo rm -r /etc/apt/sources.list.d/*

و بعد این دستورات رو بترتیب اجرا کن:
sudo dpkg-reconfigure -asudo apt-get cleansudo apt updatesudo apt autoremove --purge
و اگر خود اوبونتو  رو با میزکار پیشفرضش که پوسته (گنوم شل) داره ،نصب داشتی:
sudo apt install --reinstall ubuntu-desktop gnome-shell gdm3و بعد
sudo reboot
« آخرین ویرایش: 16 دی 1397، 04:20 ق‌ظ توسط y.musavi »
من حتی اگر در پوست گردو اسیر و محدود باشم باز می توانم خود را پادشاه فضای بیکران بدانم ..        هملت،نمایش ۲ ،پرده ۲

آفلاین amooali

  • Full Member
  • *
  • ارسال: 235
  • جنسیت : پسر
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #2 : 16 دی 1397، 07:32 ق‌ظ »
سلام
ممنون از کمکتون
نقل‌قول
اگر مخازنی غیر از مخازن توزیعت نصب داشتی برو اینجا و اونا رو از داخلشون پاک کن:
کد: [انتخاب]

sudo nano /etc/apt/sources.list

یه لیست آورد اما من نمیدونم کدومش را باید حذف کنم ...

نقل‌قول
,وهمچنین:


sudo rm -r /etc/apt/sources.list.d/*

خروجی ای نداشت

نقل‌قول
و بعد این دستورات رو بترتیب اجرا کن:


sudo dpkg-reconfigure -a

a Unknown

نقل‌قول
و اگر خود اوبونتو  رو با میزکار پیشفرضش که پوسته (گنوم شل) داره ،نصب داشتی:


sudo apt install --reinstall ubuntu-desktop gnome-shell gdm3

gnome-shell:Depends: gir1.2-mutter-2(>=3.27.91) but it is not going to be installed
            recommends:ubuntu-session but it is not going to be installed.
            gdm3:ubuntu-session but it is not going to be installed
E: unable to correct problems, you have held broken packages
خواستن برخاستن است.
ubuntu 18.04 lts

آفلاین y.musavi

  • Full Member
  • *
  • ارسال: 161
  • جنسیت : پسر
  • فقط سیستم عامل گنو.
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #3 : 16 دی 1397، 08:14 ق‌ظ »
نقل‌قول
یه لیست آورد اما من نمیدونم کدومش را باید حذف کنم ...
اونایی که مثلا یک قسمتش نوشته archive.ubuntu.com رو حذف نکن.
نقل‌قول
خروجی ای نداشت
باید هم نداشته باشه چون این دستور پاک می کنه.
نقل‌قول
gnome-shell:Depends: gir1.2-mutter-2(>=3.27.91) but it is not going to be installed
            recommends:ubuntu-session but it is not going to be installed.
            gdm3:ubuntu-session but it is not going to be installed
E: unable to correct problems, you have held broken packages
sudo apt install --reinstall ubuntu-desktop
نقل‌قول
a Unknown
بجاش:
sudo dpkg-reconfigure gnome-shell gdm3


توزیعت ubuntu 18.04 lts هسته؟ میزکار دیگه ای نصب کردی.؟
من حتی اگر در پوست گردو اسیر و محدود باشم باز می توانم خود را پادشاه فضای بیکران بدانم ..        هملت،نمایش ۲ ،پرده ۲

آفلاین amooali

  • Full Member
  • *
  • ارسال: 235
  • جنسیت : پسر
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #4 : 16 دی 1397، 08:25 ق‌ظ »
نقل‌قول
توزیعت ubuntu 18.04 lts هسته؟ میزکار دیگه ای نصب کردی.؟
ubuntu 18.04 lts
من چیزی نصب نکرده ام .... فقط دیروز که آپدیت کردم اینجوری شد ...
الان زدم
dpkg-reconfigure lightdm

الان وقتی رمز را میزنم میگه

failed to start session
خواستن برخاستن است.
ubuntu 18.04 lts

آفلاین y.musavi

  • Full Member
  • *
  • ارسال: 161
  • جنسیت : پسر
  • فقط سیستم عامل گنو.
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #5 : 16 دی 1397، 08:45 ق‌ظ »
چرا lightdm ? نسخه ۱۸.۰۴، گنوم شل پیشفرضه که اونم gdm رو داره.
مگه فقط یونیتی نصب داشتی؟

اینو بزن:
sudo dpkg-reconfigure ubuntu-sessionالبته نسخه ۱۸.۰۴ ، ubuntu-session رو بجای gnome-session داره.

قبلش اینا رو انجام دادی :
sudo apt install --reinstall ubuntu-desktopsudo apt autoremove --purge
« آخرین ویرایش: 16 دی 1397، 08:51 ق‌ظ توسط y.musavi »
من حتی اگر در پوست گردو اسیر و محدود باشم باز می توانم خود را پادشاه فضای بیکران بدانم ..        هملت،نمایش ۲ ،پرده ۲

آفلاین amooali

  • Full Member
  • *
  • ارسال: 235
  • جنسیت : پسر
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #6 : 16 دی 1397، 08:48 ق‌ظ »
نقل‌قول
اونایی که مثلا یک قسمتش نوشته archive.ubuntu.com رو حذف نکن.
### main repos
# deb http://repo.iut.ac.ir / ...
#  deb-src http://repo.iut.ac.ir
 ### ubuntu update repos
# deb http://repo.iut.ac.ir/ubuntu/xenial-security / ...
# deb http://repo.iut.ac.ir/ubuntu/xenial-update / ...
#  deb-src http://repo.iut.ac.ir/ubuntu/xenial-security
#  deb-src http://repo.iut.ac.ir/ubuntu/xenial-update
deb http://mirror.armaghan.net/ubuntu
deb-src http://mirror.armaghan.net/ubuntu
deb http://security.ubuntu.com/ubuntu
# deb http://mirror.corbina.com/security

همه را حذف کنم؟
خواستن برخاستن است.
ubuntu 18.04 lts

آفلاین amooali

  • Full Member
  • *
  • ارسال: 235
  • جنسیت : پسر
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #7 : 16 دی 1397، 08:50 ق‌ظ »
نقل‌قول
چرا lightdm ? نسخه ۱۸.۰۴، گنوم شل پیشفرضه که اونم gdm رو داره.

گفتم شاید مشکل حل بشه که اینکار را کردم
خواستن برخاستن است.
ubuntu 18.04 lts

آفلاین amooali

  • Full Member
  • *
  • ارسال: 235
  • جنسیت : پسر
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #8 : 16 دی 1397، 09:02 ق‌ظ »
نقل‌قول
بجاش:

sudo dpkg-reconfigure gnome-shell gdm3

gnome-shell is not installed

وقتی هم میزنم نصب بشه میگه

gnome-shell:Depends: gir1.2-mutter-2(>=3.27.91) but it is not going to be installed
            recommends:ubuntu-session but it is not going to be installed.
            gdm3:ubuntu-session but it is not going to be installed
E: unable to correct problems, you have held broken packages
نقل‌قول
sudo dpkg-reconfigure ubuntu-session
ubuntu-session is not installed
خواستن برخاستن است.
ubuntu 18.04 lts

آفلاین y.musavi

  • Full Member
  • *
  • ارسال: 161
  • جنسیت : پسر
  • فقط سیستم عامل گنو.
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #9 : 16 دی 1397، 09:09 ق‌ظ »
تو نسخه ۱۶.۰۴ رو نصب داری که دسکتاپش یونیتی هست.
اون مخازن رو کلا پاک کن و اینا رو وارد کن و بعد با ctrl+o ذخیره و باctrl+x خارج شو:

###### Ubuntu Main Repos
deb http://de.archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse
deb-src http://de.archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse

###### Ubuntu Update Repos
deb http://de.archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
deb http://de.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse
deb http://de.archive.ubuntu.com/ubuntu/ xenial-proposed main restricted universe multiverse
deb http://de.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse
deb-src http://de.archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
deb-src http://de.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse
deb-src http://de.archive.ubuntu.com/ubuntu/ xenial-proposed main restricted universe multiverse
deb-src http://de.archive.ubuntu.com/ubuntu/ xenial-backports main restricted universe multiverse


و در آخر اینا رو بزن:
sudo apt update
sudo apt install --reinstall ubuntu-desktop
sudo apt autoremove --purge
شاید درست بشه.
اطلاعاتت رو خوب نمی دی.
« آخرین ویرایش: 16 دی 1397، 09:12 ق‌ظ توسط y.musavi »
من حتی اگر در پوست گردو اسیر و محدود باشم باز می توانم خود را پادشاه فضای بیکران بدانم ..        هملت،نمایش ۲ ،پرده ۲

آفلاین amooali

  • Full Member
  • *
  • ارسال: 235
  • جنسیت : پسر
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #10 : 16 دی 1397، 10:02 ق‌ظ »
نقل‌قول
تو نسخه ۱۶.۰۴ رو نصب داری که دسکتاپش یونیتی هست.
نه
18.04
نقل‌قول
اون مخازن رو کلا پاک کن و اینا رو وارد کن و بعد با ctrl+o ذخیره و باctrl+x خارج شو:

انجام دادم
نقل‌قول
sudo apt install --reinstall ubuntu-desktop
این دستور را که میزنم اندازه دو تا صفحه مینویسه
recommends: ******** but it is not going to be installed.
آخرش هم مینویسه
E: Unable to correct problems, you have held broken packages
وقتی هم رمز را میزنم میگه
ubuntu-session is not installed
نقل‌قول
اطلاعاتت رو خوب نمی دی.
نمیدونم چی بگم و چیکار بکنم ... اگه غیر اینا چیز دیگه ای هم باید بگم بگید تا برم ببینم و بگم
« آخرین ویرایش: 16 دی 1397، 10:09 ق‌ظ توسط amooali »
خواستن برخاستن است.
ubuntu 18.04 lts

آفلاین y.musavi

  • Full Member
  • *
  • ارسال: 161
  • جنسیت : پسر
  • فقط سیستم عامل گنو.
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #11 : 16 دی 1397، 10:37 ق‌ظ »
نقل‌قول
### main repos
# deb http://repo.iut.ac.ir / ...
#  deb-src http://repo.iut.ac.ir
 ### ubuntu update repos
# deb http://repo.iut.ac.ir/ubuntu/xenial-security / ...
# deb http://repo.iut.ac.ir/ubuntu/xenial-update / ...
#  deb-src http://repo.iut.ac.ir/ubuntu/xenial-security
#  deb-src http://repo.iut.ac.ir/ubuntu/xenial-update
deb http://mirror.armaghan.net/ubuntu
deb-src http://mirror.armaghan.net/ubuntu
deb http://security.ubuntu.com/ubuntu
# deb http://mirror.corbina.com/security


تو این مخازنی که در فایل source.list ،شما در قبل دادی؛xenial اسم نسخه ۱۶.۰۴ هست.ضمن اینکه اونایی که فعال است ،یکجوری ناکامله؛یعنی هیچ اشاره ای به نسخه نشده و بنوعی بنظرم مشکل داره.


نقل‌قول
این دستور را که میزنم اندازه دو تا صفحه ............
نتیجه این دستور رو هم بده:
dpkg --get-selectionsداخلش اگر بسته های یونیتی ، compiz دیدی، بدان یونیتی هست.
حالا اگه مخازن جدید رو که در قبل دادم اضافه کرده باشی و مخازن رو آپدیت کرده باشی فقط اینوبزن؛شاید درست بشه،
sudo apt install ubuntu-desktop
« آخرین ویرایش: 16 دی 1397، 10:55 ق‌ظ توسط y.musavi »
من حتی اگر در پوست گردو اسیر و محدود باشم باز می توانم خود را پادشاه فضای بیکران بدانم ..        هملت،نمایش ۲ ،پرده ۲

آفلاین amooali

  • Full Member
  • *
  • ارسال: 235
  • جنسیت : پسر
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #12 : 16 دی 1397، 10:52 ق‌ظ »
نقل‌قول
حالا اگه مخازن جدید رو که در قبل دادم اضافه کرده باشی و مخازن رو آپدیت کرده باشی فقط اینوبزن؛شاید درست بشه
sudo apt install ubuntu-desktop
این را هم امتحان کردم این خطا را میده مثل قبلی
recommends: ******** but it is not going to be installed.
E: Unable to correct problems, you have held broken packages
این دستورات را هم زدم ولی فایده ای نداشت

sudo apt install -f
sudo apt -f remove
sudo dpkg --configure -a
sudo apt update
sudo apt upgrade
sudo apt dist-upgrade
sudo apt autoremove
sudo apt clean
sudo apt autoclean
خواستن برخاستن است.
ubuntu 18.04 lts

آفلاین y.musavi

  • Full Member
  • *
  • ارسال: 161
  • جنسیت : پسر
  • فقط سیستم عامل گنو.
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #13 : 16 دی 1397، 11:13 ق‌ظ »
باید مخازن رو که اضافه کردی، و بعد با دستور apt update وبعد نصب بسته ای که گفتم مشکلت حل میشد.
خروجی اینارو بزار:
apt-mark showholddpkg --get-selections
من حتی اگر در پوست گردو اسیر و محدود باشم باز می توانم خود را پادشاه فضای بیکران بدانم ..        هملت،نمایش ۲ ،پرده ۲

آفلاین y.musavi

  • Full Member
  • *
  • ارسال: 161
  • جنسیت : پسر
  • فقط سیستم عامل گنو.
پاسخ : مشکلات ناشی از بروز رسانی
« پاسخ #14 : 16 دی 1397، 11:20 ق‌ظ »
همچنین نتیجه این دستور رو بفرست :
sudo apt update
نقل‌قول
این دستورات را هم زدم ولی فایده ای نداشت
sudo apt install -f
sudo apt -f remove
sudo dpkg --configure -a
sudo apt update
sudo apt upgrade
sudo apt dist-upgrade
sudo apt autoremove
sudo apt clean
sudo apt autoclean

نیازی نبود این دستورات رو همینطوری اجرا کنی.
مشکلت مخزن هست.
اونایی که قبلا راهناییت کردم باید حل می کرد.
دیگه معلوم نیست چی بسر سیستم امده.
« آخرین ویرایش: 16 دی 1397، 11:37 ق‌ظ توسط y.musavi »
من حتی اگر در پوست گردو اسیر و محدود باشم باز می توانم خود را پادشاه فضای بیکران بدانم ..        هملت،نمایش ۲ ،پرده ۲